OPERA(1)

NAME
opera - a standards-compliant graphical Web browser

SYNOPSIS
opera [options] [URL...]

DESCRIPTION
Opera is a graphical Web browser available on several platforms. The desktop version described in this manual page runs on GNU/Linux, FreeBSD, and Solaris. Versions for Macintosh and Windows are also available.

COMMAND LINE OPTIONS

These support both double and single dash as prefix. Several other options are also supported, notably including many generic X Toolkit options; see --help output for details.

--personaldir path

--pd path
    Use path as personal configuration directory (ignore default location).

--remote command
    Send command to an existing Opera window. See "REMOTE COMMANDS" section below.

--nomail
    Start Opera without internal e-mail client (also disables chat and newsfeeds).

--nosession
    Do not open a saved window session or homepage.

--noshape
    Suppress X shape-extension for widgets, to make their full underlying rectangle visible (useful for debug).

--nowin
    Do not open any document windows.

--version
    Display version information and exit.

-h , --help
    Print option summary and exit.

REMOTE COMMANDS
Since commands include parentheses, which have special meaning to the shell, it is important to enclose remote commands in quotes, like --remote 'openURL()' so as to prevent the shell from interpreting the parentheses. In the following, destination is one of new-window for a new window, new-page for a new page (or tab) or background-page for a (new) background page (opened in an inactive new tab).

openURL()
    Open "Go to" dialog box prompting for input.

openURL(URL)
    Open URL in active window.

openURL(URL,destination)
    open URL in destination window, tab or background.

openFile(destination)
    Open file selector in destination window or page (background not supported).

openM2(new-window)
    Open Opera mail client list view in a new window.

openComposer(new-window)
    Open Opera mail composer in a new window.

addBookmark(URL)
    Add URL to bookmark list.

raise()
    Raises the Opera window.

lower()
    Lowers the Opera window.

FILES AND DIRECTORIES

/usr/bin/opera
    Standard installation location for Opera driver script; configures environment and invokes the binary.

/usr/lib/opera/
    Installation directory for Opera binaries, in version-specific sub-directories, with a separate plugins/ sub-directory for plugins.

/usr/local/share/opera/
    Opera shared resource directory. Contains assorted data files.

/usr/local/etc/opera6rc
    Default settings for Opera configurations; may be overridden by the opera6.ini in a user's personal configuration directory.

/usr/local/etc/opera6rc.fixed
    System settings for Opera configurations; cannot be overridden by users.

~/.opera/
    The default personal configuration directory.

CONFIGURATION DIRECTORY

Private data for each user is stored in a personal configuration directory. By default this is ~/.opera/ but you can override this by setting OPERA_PERSONALDIR (for example in your login shell's standard configuration file) to a location of your choosing; or by passing a chosen directory with the --personaldir command-line option. For the most part it is best to access the files in this directory via the preference and appearance dialogs - accessed either from the Tools menu of the Opera user interface or via a keyboard shortcut: type Alt+P for the main preferences dialog, Shift+F12 for the appearance dialog or simply F12 for a menu of the more commonly set basic preferences from each. (You can control Opera entirely from the keyboard, including any of these dialogs; to dismiss a dialog, use the Esc key.)

Most files in the directory have names which express their functions. Many of them have backups saved in *.bak files. The file opera6.ini in this directory records most user preferences. Entries in it can override the locations of some of the other files; this description relates each to its default location. A fuller account of the opera6.ini file may be found at http://www.opera.com/support/usingopera/operaini/. Bookmarks are recorded in opera6.adr, and global browsing history is recorded in global.dat; browsing histories for individual tabs are a part of the session state saved as files in sessions/. In this sub-directory, the state of the current session is saved in autosave.win; other sessions may be saved (see the Sessions sub-menu of the main File menu) to other files in this directory. It is prudent to save such a named session before starting up Opera with a radically new version (especially if it is a beta release).

ENVIRONMENT VARIABLES
OPERA_PERSONALDIR Override default personal configuration directory

OPERA_STRICT_FILE_PERMISSIONS Use owner-only permissions for all files created (as if by umask 077) if set to YES, TRUE (case insensitively matched) or 1. Otherwise honour umask setting in the normal way.

AUTHOR
This program was written by Opera Software ASA http://www.opera.com/. Please refer to /usr/local/share/opera/locale/en/license.txt for more information.

BUG REPORTS
If you find a bug in Opera please report it to https://bugs.opera.com/wizard/

SEE ALSO
X(1)

umask(1)

Output from opera --help for a fuller list of supported options.

http://www.opera.com/docs/switches/ for an on-line account of the supported options.

http://help.opera.com/ for more general on-line help (also available via the Help menu on Opera's main toolbar).